PPMTORLE(1)

NAME
ppmtorle - convert a PBMPLUS/ppm image file into an RLE image file.

SYNOPSIS
ppmtorle [ -h ] [ -v ] [ -a ] [ -o outfile ] [ infile.ppm ]

DESCRIPTION
This program converts PBMPLUS full-color (ppm) image files into Utah RLE(5) image files. PBMPLUS/ppm image files contain the image dimensions and image data in the form of RGB triplets. When converting to an RLE file, the alpha channel may be optionally computed. The origins of PBMPLUS and Utah RLE files are in the upper left and lower left corners respectively, so this program automatically "flips" the image. The input can consist of several concatenated ppm images, in which case, the output will consist of several concatenated RLE images.

The RLE file will contain a "true color" image (24 bits). These RLE files may then be viewed using any RLE image viewer. When they are displayed on an 8 bit display, the image must be dithered. In order to produce a better looking image (on 8 bit displays), it is recommended that the image be quantizing (to 8 bit mapped color) prior to its display. This may be done by piping the output of this program into the Utah mcut(1) or rlequant(1) utilities. An example of this is shown later.

OPTIONS

-v  This option will cause ppmtorle to operate in verbose mode. The header information is written to "stderr". Actually, there is not much header information stored in a PBMPLUS file, so this information is minimal.

-h  This option allows the header of the PBMPLUS image to be dumped to "stderr" without converting the file. It is equivalent to using the -v option except that no file conversion takes place.

-a  This option will cause ppmtorle to use the RGB data to compute an alpha channel in the resulting RLE file. For any non-zero RGB data, the alpha channel will contain a value of 255. The resulting RLE image file will contain three color channels and an alpha channel.

-o outfile
    If specified, the output will be written to this file. If outfile is "-", or if it is not specified, the output will be written to the standard output stream.

infile.ppm
    The name of the PBMPLUS image data file to be converted. This file must end in ".ppm". However, it is not necessary to supply the ".ppm" extension as it will be added to the supplied name if not already there.

EXAMPLES

ppmtorle -v test.ppm -o test.rle
    While running in verbose mode, convert test.ppm to RLE format and store resulting data in test.rle.

ppmtorle test | mcut >test.rle
    Convert test.ppm to RLE format and convert to 8 bit mapped color before storing data in test.rle

ppmtorle -h test
    Dump the header information of the PBMPLUS file called test.ppm.

SEE ALSO
mcut(1), pgmtorle(1), rlequant(1), rletoppm(1), urt(1), RLE(5).

AUTHOR
Wesley C. Barris
Army High Performance Computing Research Center (AHPCRC)
Minnesota Supercomputer Center, Inc.